## juice 0.03n

=== Makefile ===

# -*- sh_mode -*-

# Makefile -- written for Juice
#  Copyright (C) 2000, 2001, 2002 Abraham vd Merwe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# debian	compile for debian system (i.e. if you want to make a debian package)
# default	compile for a normal system (i.e. everything goes to /usr/local)
# NOTE: Leave this undefined if you just want to check out juice first (i.e. you don't want to install anything)
SYSTYPE = "debian"

export SYSTYPE
export DESTDIR

all:
	${MAKE} -C src all
	${MAKE} -C man all

install:
	${MAKE} -C src install
	${MAKE} -C man install

uninstall:
	${MAKE} -C src uninstall
	${MAKE} -C man uninstall

clean:
	rm -f *~

distclean: clean
	${MAKE} -C src distclean
	${MAKE} -C man distclean
	rm -f {build,configure}-stamp debian/{postinst.debhelper,prerm.debhelper,substvars,files}
	rm -rf debian/juice

=== src/Makefile ===

# -*- sh_mode -*-

# Makefile -- written for Juice
#  Copyright (C) 2000, 2001, 2002 Abraham vd Merwe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifeq (${SYSTYPE},"debian")
prefix = ${DESTDIR}/usr
bindir = ${prefix}/bin
datadir = ${prefix}/share
sysconfdir = ${DESTDIR}/etc
#localstatedir = ${DESTDIR}/var/lib
CPPFLAGS = -DDEBIAN
else
ifeq (${SYSTYPE},"default")
prefix = /usr/local
bindir = ${prefix}/bin
datadir = ${prefix}/lib
sysconfdir = /etc
#localstatedir = /var/local/lib
CPPFLAGS = -DDEFAULT
else
TEST_ONLY = 1
CPPFLAGS = -DTEST
endif
endif

BIN = juice
BINGRP = bin
BINOWN = root
BINMODE = 0555

DATAGRP = bin
DATAOWN = root
DATAMODE = 0444

CFGGRP = bin
CFGOWN = root
CFGMODE = 0644

DATADIR = ${datadir}/juice
HLPDIR = ${DATADIR}/help

##
## Source variables
##

SUBDIRS = dialogs config mixer mpg123 player

OBJECTS = mpg123.o mixer.o playlist.o menus.o juice.o

DIALOG_OBJECTS = regexp.o vfs.o windows.o background.o dialogs.o utils.o
CONFIG_OBJECTS = config.o
MIXER_OBJECTS = mixer.o
MPG123_OBJECTS = utils.o queue.o id3.o describe.o mpg123.o
PLAYER_OBJECTS = cmd.o console.o child.o

##
## Automatically generated variables
##

DLGOBJS = ${addprefix dialogs/,${DIALOG_OBJECTS}}
CFGOBJS = ${addprefix config/,${CONFIG_OBJECTS}}
MIXOBJS = ${addprefix mixer/,${MIXER_OBJECTS}}
MPGOBJS = ${addprefix mpg123/,${MPG123_OBJECTS}}
PLROBJS = ${addprefix player/,${PLAYER_OBJECTS}}

HLPFILES = ${wildcard help/*.hlp}

PRGOBJS = ${OBJECTS} ${DLGOBJS} ${CFGOBJS} ${MIXOBJS} ${MPGOBJS} ${PLROBJS}

SOURCES = ${OBJECTS:.o=.C}

##
## Program flags
##

CPPFLAGS += # -DDEBUG

CC = g++
CFLAGS = -Wall -O2 -Winline

CXX = g++
CXXFLAGS = ${CFLAGS}

LD = ld
LDFLAGS =
LDLIBS = -lncurses -lpanel

INSTALL = install
INSTALL_PROGRAM = ${INSTALL} -s
INSTALL_DATA = ${INSTALL}

##
## Rules
##

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends ${SUBDIRS}

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${SUBDIRS} ${BIN}

${BIN}: ${PRGOBJS}

${SUBDIRS}:
	${MAKE} -C $@ all

# Figure out a way to create dependencies for the header file as well
depend: ${SOURCES}
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS} ${BIN}

# Figure out a way to make a clean rule for recursive make's as well
distclean: clean
	rm -f saved.jpl
	for DIR in ${SUBDIRS}; do ${MAKE} -C $$DIR clean; done

ifndef TEST_ONLY
install: ${HLPFILES} ${BIN}
	${INSTALL} -d ${bindir} ${sysconfdir} ${DATADIR} ${HLPDIR}
	${INSTALL_PROGRAM} -g ${BINGRP} -o ${BINOWN} -m ${BINMODE} ${BIN} ${bindir}
	${INSTALL_DATA} -g ${DATAGRP} -o ${DATAOWN} -m ${DATAMODE} ${HLPFILES} ${HLPDIR}
	${INSTALL_DATA} -g ${CFGGRP} -o ${CFGOWN} -m ${CFGMODE} setup.cfg ${sysconfdir}/juice.conf

uninstall:
	rm -f ${bindir}/${BIN} ${sysconfdir}/juice.conf
	rm -rf ${DATADIR} ${HELPDIR}
endif

=== debian/changelog ===
juice (0.03n) unstable; urgency=low

   * include string.h in mixer.C to avoid compilation error with
     gcc 3.0 (Closes: #138714)

 -- Abraham vd Merwe <abz@debian.org>  Mon, 18 Mar 2002 18:02:56 +0200

juice (0.03m) unstable; urgency=low

   * Added Ross Thomas's patch to allow users from the audio group to
     use the configuration file. (Closes: #121449)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 16 Mar 2002 17:32:22 +0200

juice (0.03l) unstable; urgency=low

   * src/dialog/windows.C: added #include <string.h> (Closes: #108262)
   * src/player/cmd.c: same
   * src/player/console.c: same
   * src/mixer.C: same

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 22:58:09 +0200

juice (0.03k) unstable; urgency=low

  * Added signal handlers for SIGSTOP/SIGCONT (It will now pause/resume
    the player if something is currently playing).
  * Fixed typo in extended description of the debian control file.
    (Closes: #111836)
  * Fixed grammatical errors in control file. (Closes: #113603)

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 22:41:27 +0200

juice (0.03j) unstable; urgency=low

  * Removed build dependencies on essential package (Closes: #104977).

 -- Abraham vd Merwe <abz@debian.org>  Mon, 6 Aug 2001 17:51:35 +0200

juice (0.03i) unstable; urgency=low

  * Removed the build dependancy for libc6-dev which happened to be
    an essential package.
  * Updated TODO list with suggestions from Stefan van der Walt.

 -- Abraham vd Merwe <abz@debian.org>  Wed, 11 Jul 2001 18:08:15 +0200

juice (0.03h) unstable; urgency=low

  * Added a build dependancy for libncurses5-dev in the
    control file (Closes: #98873) among others.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 27 May 2001 19:04:49 +0200

juice (0.03g) unstable; urgency=high

  * This is such a mess :P This release fixes a mistake
    I made with the previous Debian package: I forgot to
    close the ITP bug, so this release closes that.
    (Closes: #98018) Please note that apart from this Debian
    bugfixes there is absolutely no difference between this
    and the previous release.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 20:07:07 +0200

juice (0.03f) unstable; urgency=low

  * Updated the package for official debian maintaining.
  * Changed debian control files to be 3.5.2 standards compliant

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 19:40:56 +0200

juice (0.03e) unstable; urgency=low

  * Fixed Page Down bug in right panel of Lst::Browse().
  * Fixed stripdirname() in dialogs/utils.C and renamed
    it to canonicalize_pathname(). Directory changing
    should now be functioning properly again.
  * Deselects all tracks when tracks is manipulated, e.g.
    shuffled. This prevents the Shuffle bug (wrong tracks
    selected when some tracks were selected when shuffling).
  * Fixed some stuff in Eterm.ti.
  * Changed wattr_off(), wattr_on() functions to wattroff()
    and wattron() to support ncurses 5.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Fri, 2 Jun 2000 17:30:13 +0200

juice (0.03d) unstable; urgency=low

  * Changed the package to native format
  * Changed Windows::Init() to use hi-ascii for Eterm-vga/eterm-vga
    terminfo types. I would recommend people running juice in the
    X-windows environment to use Eterm together with the Eterm.ti
    terminfo entry I wrote and export the TERM variable as ``eterm-vga''
    if you use a vga font or just ``eterm'' if you use a normal font
    supporting alternate character sets.
  * Removed play check in Playlist::Edit() that prevented you from
    switching if track wasn't playing (I did this, because the
    player statistics I get from mpg123, isn't very reliable)
  * Added code to unpause mpg123 before stopping it. This circumvents
    a bug in mpg123.
  * Added relative directory support. Now you can specify relative
    directories in the setup menu / configuration file.
  * Implemented Ctrl-L (screen refresh).
  * Fixed bug in mpg123/mpg123.c: mpg123_receive() that caused
    only the first word to be displayed in filenames that contain
    spaces.
  * Fixed bug in Lst::Browse() that caused garbage to be displayed
    when files were added with the "Add All" button.
  * Fixed bug in juice.C that caused the help message to be shown
    if just one file was given on the command-line.
  * Fixed readline() bug in mpg123/utils.c that caused descript.ion
    files containing empty lines to be discarded.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Sat, 13 May 2000 20:32:13 +0200

juice (0.03c) unstable; urgency=low

  * Added code to convert TAB's found in descript.ion into spaces. Also
    changed VirtualFS::shortname() to display spaces instead of TAB's.
    This should fix the `wrapping bug' in dialogs if files/descriptions
    contain TAB's.
  * Fixed the bug that caused the last line in a descript.ion not to be
    displayed when a \n was not present.
  * Fixed scrollbar frame bug in Playlist dialog.
  * Changed the display time of Dialogs::Info() from 1.5th of a second
    to 1/7th of a second.
  * Added manpages for juice. This includes a manpage for juice.conf(5),
    descript.ion(5), and juice(1)
  * Debianized the source and created a debian package.

 -- Abraham vd Merwe <abz@juicy.sourceforge.net>  Sat, 22 Apr 2000 20:02:49 +0200

juice (0.03b) unstable; urgency=low

  * Fixed intersession memory bug (If you disabled it in the setup menu,
    the mpg123 frontend was disabled instead)
  * Added an option to disable help dialogs
  * Added ID3 support in browse and playlist dialogs
  * Added a display mode option (Choose to display files as is, with
    descript.ion support, ID3 tags, etc.)
  * Added a display format option (Title + Author, Title only, etc.)
  * Added shorten method (Split and shorten (~ thing), Truncate) which
    determines how files will be fitted into the dialogs if they're too
    long to display properly.
  * Changed the code to accept description files with no \n between


=== debian/control ===
Source: juice
Section: sound
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>= 3.0.19), libncurses5-dev
Standards-Version: 3.5.2

Package: juice
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mpg123 (>= 0.59r)
Description: playlist editor / player frontend
 Juice is a frontend for mpg123 and other players. It provides
 a nifty dialog-based playlist editor.
 .
 It basically allows you to browse through your files in a
 "Midnight Commander"-like fashion. The MP3's you select are
 treated as a playlist which can be shuffled, rearranged,
 saved, etc.
 .
 In order to play audio files, two player interfaces are
 provided. The mpg123-specific interface uses the remote
 protocol of mpg123 (This feature was introduced in version
 0.59r in order to accommodate generic frontends.) The other
 player frontend is generic and allows for any player to be
 used. This is useful if you do not want to limit the
 functionality of juice to MP3's. Please note that this
 generic frontend is still in early beta phase and is
 pretty buggy.
 .
 Of course juice comes with all the bells & whistles you'd
 expect from a quality application and has (among others)
 full integrated help functionality as well as full dialog
 based configuration file editor.

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/juice.sgml > juice.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/juice.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/juice


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## juice 0.03o

=== debian/changelog ===
juice (0.03o) unstable; urgency=low

   * added support for user-specific configuration files
     (Closes: #152492)
   * save playlists to home directory instead of /usr/share/juice
     (Closes: #159080)

 -- Abraham vd Merwe <abz@debian.org>  Sat, 14 Dec 2002 14:08:52 +0200

## juice 0.03p

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,6 @@
 distclean: clean
 	${MAKE} -C src distclean
 	${MAKE} -C man distclean
-	rm -f {build,configure}-stamp debian/{postinst.debhelper,prerm.debhelper,substvars,files}
+	rm -f {build,configure}-stamp debian/{*.debhelper,*.substvars,files,*~}
 	rm -rf debian/juice

=== src/mixer/Makefile ===

# -*- sh -*-

CPPFLAGS =

CXX = g++
CXXFLAGS = -Wall -O2 -Winline

OBJECTS = mixer.o
SOURCES = ${OBJECTS:.o=.C}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:

=== debian/changelog ===
juice (0.03p) unstable; urgency=low

   * Fixed buffer overflow in _strcat()
   * Check return value of fopen in save_playlist (Closes: #228547)
   * Recompile against g++3.3 (Closes: #236053)
   * Fixed lintian warnigns, updated standards version.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 29 Jun 2004 16:59:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/juice.
+	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/juice

## juice 0.03pbuild1

=== debian/changelog ===
juice (0.03pbuild1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:32:23 +0000

## juice 0.03p+nmu2

=== man/Makefile ===

# -*- sh -*-

# Makefile -- written for Juice
#  Copyright (C) 1999, 2000, 2001 Abraham vd Merwe
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifeq (${SYSTYPE},"debian")
prefix = ${DESTDIR}/usr
datadir = ${prefix}/share
else
ifeq (${SYSTYPE},"default")
prefix = /usr/local
datadir = ${prefix}/lib
else
TEST_ONLY = 1
endif
endif

INSTALL = install
INSTALL_DATA = ${INSTALL}

MANDIR = ${datadir}/man

MAN = juice.1 juice.conf.5 descript.ion.5
MANGRP = bin
MANOWN = root
MANMODE = 0444

all:

clean:
	rm -f *~

distclean: clean

ifndef TEST_ONLY
install: ${MAN}
	${INSTALL} -d ${MANDIR}
	gzip -9 ${MAN}
	for F in ${MAN}; do ${INSTALL_DATA} -g ${MANGRP} -o ${MANOWN} -m ${MANMODE} $$F.gz ${MANDIR}/man$${F##*.}; done
	gunzip -9 ${MAN}

uninstall:
	for F in ${MAN}; do rm -f ${MANDIR}/man$${F##*.}/$$F.gz; done

endif

=== src/Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 LDLIBS = -lncurses -lpanel
 
 INSTALL = install
-INSTALL_PROGRAM = ${INSTALL} -s
+INSTALL_PROGRAM = ${INSTALL} #-s
 INSTALL_DATA = ${INSTALL}
 
 ##

=== src/config/Makefile ===

# -*- sh -*-

CPPFLAGS =

CXX = g++
CXXFLAGS = -Wall -O2 -Winline

OBJECTS = config.o
SOURCES = ${OBJECTS:.o=.C}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:

=== src/dialogs/Makefile ===

# -*- sh -*-

CPPFLAGS =

CXX = g++
CXXFLAGS = -Wall -O2 -Winline

OBJECTS = vfs.o regexp.o windows.o background.o dialogs.o utils.o
SOURCES = ${OBJECTS:.o=.C}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:

=== src/mpg123/Makefile ===

# -*- sh -*-

#CPPFLAGS += -DDEBUG
#CPPFLAGS += -DUSEPGID

CC = g++
CFLAGS = -Wall -O2 -Winline

OBJECTS = utils.o queue.o id3.o describe.o mpg123.o
SOURCES = ${OBJECTS:.o=.c}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:

=== src/player/Makefile ===

# -*- sh -*-

CPPFLAGS = #-DWITH_SHELL_SUPPORT

CC = g++
CFLAGS = -Wall -O2 -Winline

OBJECTS = cmd.o console.o child.o
SOURCES = ${OBJECTS:.o=.c}

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,${wildcard .depends})
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: ${OBJECTS}

depend:
	rm -f .depends
	set -e; for F in ${SOURCES}; do ${CC} -MM ${CPPFLAGS} $$F >> .depends; done

clean:
	rm -f .depends *~ ${OBJECTS}

distclean: clean

install:

uninstall:

=== debian/changelog ===
juice (0.03p+nmu2) unstable; urgency=low

  * "When you make 50 NMU's a day you make mistake" release
  * fix the clean target to fix FTBS on !i386

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 21 Mar 2008 00:00:38 +0200

juice (0.03p+nmu1) unstable; urgency=low

  * Non-maintainer upload (version number weird because of existing binNMU)
  * Fix gcc-4.3 FTBFS, patch by Kibi (Closes: #455384)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:46:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
 Build-Depends: debhelper (>= 3.0.19), libncurses5-dev
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: juice
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	-$(MAKE) distclean
 
 	dh_clean
